// ignore_for_file: avoid_equals_and_hash_code_on_mutable_classes

part of 'app_mode_cubit.dart';

class AppModeState {
  const AppModeState({
    required this.theme,
    required this.brightness,
  });
  final int theme;
  final Brightness brightness;

  AppModeState copyWith({
    int? theme,
    Brightness? brightness,
  }) =>
      AppModeState(
        theme: theme ?? this.theme,
        brightness: brightness ?? this.brightness,
      );

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is AppModeState &&
          runtimeType == other.runtimeType &&
          theme == other.theme &&
          brightness == other.brightness;

  @override
  int get hashCode => theme.hashCode ^ brightness.hashCode;
}
